#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Embedded Linux Library
Summary(pl.UTF-8):	Embedded Linux Library - biblioteka osadzonego Linuksa
Name:		ell
Version:	0.76
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ell/%{name}-%{version}.tar.xz
# Source0-md5:	5955fa2d683b5e159a1acbd0046d8a95
URL:		https://git.kernel.org/pub/scm/libs/ell/ell.git/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Embedded Linux Library.

%description -l pl.UTF-8
Embedded Linux Library - biblioteka osadzonego Linuksa.

%package devel
Summary:	Header files for ELL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ELL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for ELL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ELL.

%package static
Summary:	Static ELL library
Summary(pl.UTF-8):	Statyczna biblioteka ELL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ELL library.

%description static -l pl.UTF-8
Statyczna biblioteka ELL.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build-aux
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pie \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libell.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libell.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libell.so
%{_includedir}/ell
%{_pkgconfigdir}/ell.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libell.a
%endif
%changelog
* Wed Apr 16 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ell.git;a=log;h=master

* Thu Apr 03 2025 Jan Palus <atler@pld-linux.org> b3a9510
- up to 0.76

* Thu Mar 27 2025 Jan Palus <atler@pld-linux.org> 6003d80
- up to 0.75

* Thu Mar 20 2025 Jakub Bogusz <qboosh@pld-linux.org> 90ca091
- updated to 0.74

* Thu Feb 13 2025 Jan Palus <atler@pld-linux.org> 8e8a7cb
- up to 0.73

* Tue Feb 11 2025 Jan Palus <atler@pld-linux.org> c65854c
- up to 0.72

* Wed Nov 27 2024 Jan Palus <atler@pld-linux.org> a17a07a
- up to 0.71

* Thu Nov 07 2024 Jan Palus <atler@pld-linux.org> b1fdf41
- up to 0.70

* Mon Sep 09 2024 Jan Palus <atler@pld-linux.org> 01b2855
- up to 0.69

* Fri Aug 23 2024 Jan Palus <atler@pld-linux.org> f6ad02e
- up to 0.68

* Mon Jul 08 2024 Jan Palus <atler@pld-linux.org> 8fea5f6
- up to 0.67

* Tue Jun 04 2024 Jan Palus <atler@pld-linux.org> c7d896a
- up to 0.66

* Thu Apr 25 2024 Jan Palus <atler@pld-linux.org> 04c6cc2
- up to 0.65

* Fri Mar 29 2024 Jan Palus <atler@pld-linux.org> 574a210
- up to 0.64

* Tue Feb 27 2024 Jan Palus <atler@pld-linux.org> ccc6d84
- up to 0.63

* Tue Feb 06 2024 Jan Palus <atler@pld-linux.org> 2ce037a
- up to 0.62

* Sun Nov 26 2023 Jan Palus <atler@pld-linux.org> 79c3396
- up to 0.61

* Mon Nov 20 2023 Jan Palus <atler@pld-linux.org> f2d3a94
- up to 0.60

* Wed Sep 27 2023 Jan Palus <atler@pld-linux.org> cb5d759
- up to 0.59

* Thu Aug 24 2023 Jan Palus <atler@pld-linux.org> abae7ba
- up to 0.58

* Wed May 24 2023 Jan Palus <atler@pld-linux.org> b7ae7a2
- up to 0.57

